<?php
/**
 * @filesource: default.php
 * @author:     Joachim Schmidt - joachim.schmidt@jschmidt-systemberatung.de
 * @copyright:  Copyright (C) 2016 Joachim Schmidt. All rights reserved.
 * @license:    GNU/GPL
 * @version:    0.1
 * @abstract:   template for use of php-helper class for rgraph charts package
 *              this template renders a single chart
 */

if (! isset($chart))
    die("<b>Error: </b>rgraph_chart object not defined");
if (! isset($rgraph_json))
    die("<b>Error: </b>json object is not defined");

$id = $chart->get_id();
$chart_type = $chart->get_chartType();
$script = '<script src="' . $rgraph_libraries . $chart->getScript($chart_type) . '"></script>';
echo $script;

if (! isset($canvas_style))
    $canvas_style = "";
if (! isset($canvas_class))
    $canvas_class = "";
if (! isset($chart_name))
    $chart_name = "chart";

?>

<canvas id="<?php echo $id; ?>" width="<?php echo $width; ?>" height="<?php echo $height; ?>" style="background-color: #fff;" >
    [No canvas support]>
</canvas>
<script type="text/javascript">
jQuery(document).ready(function() {
   
  RGraph.reset('<?php echo $id; ?>');
  
  var <?php echo $chart_name; ?> = new RGraph.<?php echo $chart_type; ?> (
   <?php echo $rgraph_json; ?>).<?php echo $draw_option; ?>

});
</script>